Subject: Re: Currently checked out branch is not bold in gitk when using ssh X-forwarding

From: Neal Kreitzinger <[email-masked]>
Date: Thu, 22 Mar 2012 19:02:21 -0500

On 3/22/2012 6:08 PM, Neal Kreitzinger wrote:
> On 3/22/2012 4:10 PM, Jeremy Ramer wrote:
>> However, when I log in from my newer Ubuntu 11.11 laptop (ssh -X
>> buildserver) and start gitk the currently checked out branch is
>> not displayed in bold font. In fact, all the fonts are a little
>> ugly, though it is the lack of bold that is the hardest to work
>> with.
>>
> FWIW, my theory is that is has something to do with your fonts. Just
> a simple end user observation. I'm not a gitk programmer.
>
> Maybe you don't have your fonts set for what-you-want in gitk. Maybe
> you don't have the fonts installed/setup on your ubuntu box for
> what-you-want in gitk.
>
> I assume gitk uses the fonts that you tell it to, or that are
> available.
>
Hint: the bold version of a font is its own font.  You could have the 
non-bold font installed, but not the bold font.  Here's a link on how to
install fonts: http://karmak.org/archive/2004/06/ttfonts.html?lang=en

*If* that is the reason for your lack of bold-ness in gitk.

Also, I see from my install log that it does do something with fonts:

  DEST /usr/share/git-gui/lib
     INSTALL 644 tclIndex
     INSTALL 644 about.tcl
     INSTALL 644 blame.tcl
     INSTALL 644 branch_checkout.tcl
     INSTALL 644 branch_create.tcl
     INSTALL 644 branch_delete.tcl
     INSTALL 644 branch_rename.tcl
     INSTALL 644 branch.tcl
     INSTALL 644 browser.tcl
     INSTALL 644 checkout_op.tcl
     INSTALL 644 choose_font.tcl

I'm not sure how closely gitk and git-gui are tied together.

Hope this helps some more.

v/r,
neal